install.packages("readxl")
library(readxl)
uni<-read_excel("E:/데이터베이스설계및보안/Final/univ_job.xls")
View(uni)
install.packages("dplyr")
library(dplyr)
university <-uni %>% filter(kind == "university")#4년제
job<- university %>% filter(job_percentage>1)                        
job<-mean(job)
college<-uni %>% filter(kind=="college") #전제문대
job1<-college %>% filter(college$job_percentage>1)
mean(job1$job_percentage)
job2<-data.frame(job,job1)
job<-head(job,400)
job1<-head(job1,400)
install.packages("ggplot2")
library(ggplot2)
qplot(job2$job_percentage)
job2$average<- mean(job$job_percentage)

univ_IT<-university %>% filter(major_name=="IT대학") 
univ_IT<-univ_IT %>% filter(job_percentage>1)
View(univ_IT)
mean(univ_IT$job_percentage)

coll_IT<-college %>% filter(major_name =="IT대학")
coll_IT<-college %>% filter(job_percentage>1)
mean(coll_IT$job_percentage)


IT_col<-mean(coll_IT$job_percentage) 
IT_col
IT_uni<-mean(univ_IT$job_percentage) 
IT_uni
IT_mean<-(IT_col+IT_uni)/2
IT_mean

str(IT_per)
library(ggplot2)
qplot(IT_per)

engineering<- uni %>% filter(major_name=="공과대학")
engineering <-engineering %>% filter(job_percentage>1)
engineering <-mean(engineering$job_percentage)
engineering  

management <-uni %>% filter(major_name=="경영대학")
management <-management %>% filter(job_percentage>1)
management <-mean(management$job_percentage)
management
